@echo off
setlocal enableDelayedExpansion

IF "%~4"=="" (
    @echo "Usage: Script expects following input parameters in this exact order: username, password, IP address and name of CSV file"
    EXIT /B
)
SET user=%1
SET pass=%2
SET ipAddress=%3
SET csvFile=%4
:: Common part for CLI commands
SET command="C:\Program Files\ARCHIWARE\Data_Lifecycle_Management_Suite\bin\nsdchat.exe" -s awsock:/%user%:%pass%:311@%ipAddress%:9001 -c

:: Following are two FOR loops
:: First loop goes through CSV file and stores first three values (separated by delimiter ",") in %%A , %%B and %%C etc
:: Second loop executes CLI "handle" command and captures output (of the command) in order to pass it to "setmeta" and "clippath" CLI commands that add metadata and clips
:: Please note that script expects that CSV file contains absolute path in format /Drive/Path/to/folder/images/image_name_from_CSV

FOR /F "tokens=1-4 delims=," %%A in (%csvFile%) do (
    SET handle_cmd=!command! ArchiveEntry handle localhost %%A
    @echo !handle_cmd!
    SET cpath=%%B
    SET descr=%%C
    SET fsize=%%D
    @echo !descr!
    @echo !fsize!
    @echo "- - - -"
    FOR /F "delims=" %%i IN ('!handle_cmd!') DO (
        !command! ArchiveEntry %%i setmeta description {!descr!}
        !command! ArchiveEntry %%i setmeta user_filesize {!fsize!}
        !command! ArchiveEntry %%i clippath !cpath!
    )
)