#!/bin/bash
# ------------------------------------------
if [ "$#" -ne 4 ]; then
    echo "Usage: Script expects following input parameters in this exact order: username, password, IP address and name of CSV file"
    exit 1
fi

# Script expects CSV file that uses coma (",") as separator
OLD_IFS=$IFS
IFS=','
user=$1
pass=$2
ipAddress=$3
csvFile=$4

# Scripts parses CSV file and stores values in parameteres fpath, cpath and descr
# fpath is used for CLI command "handle" which obtains handle to file that is later used for CLI commands to add metadata/clips

 
[ ! -f $csvFile ] && { echo "$csvFile file not found"; exit 99; }
while read fpath cpath descr fsize
do
        aEntry=$(/usr/local/aw/bin/nsdchat -s awsock:/$user:$pass:311@$ipAddress:9001 -c ArchiveEntry handle localhost $fpath)
        echo "handle : $aEntry"
        echo "description : $descr"
        echo "clippath : $cpath"
        echo "filesize : $fsize"
        echo "- - - -"
        /usr/local/aw/bin/nsdchat -s awsock:/$user:$pass:311@$ipAddress:9001 -c ArchiveEntry $aEntry setmeta description {$descr} > /dev/null 2>&1
        /usr/local/aw/bin/nsdchat -s awsock:/$user:$pass:311@$ipAddress:9001 -c ArchiveEntry $aEntry setmeta user_filesize {$fsize} > /dev/null 2>&1
        /usr/local/aw/bin/nsdchat -s awsock:/$user:$pass:311@$ipAddress:9001 -c ArchiveEntry $aEntry clippath $cpath > /dev/null 2>&1
done < $csvFile
IFS=$OLD_IFS